function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": 0.25rem;\n                ",
        ": 0.75rem;\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-font-weight);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": 0.25rem;\n                ",
        ": 0.75rem;\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-font-weight);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-font-weight);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": 0.25rem;\n                ",
        ": 0.75rem;\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 2.75rem;\n                ",
        ": 1.75rem;\n                ",
        ": calc(var(",
        ") / 2);\n                ",
        ": 1.5rem;\n                ",
        ": calc(var(",
        ") / 2);\n                ",
        ": 0.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 1.25;\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 2rem;\n                ",
        ": 1.25rem;\n                ",
        ": calc(var(",
        ") / 2);\n                ",
        ": 1rem;\n                ",
        ": calc(var(",
        ") / 2);\n                ",
        ": 0.125rem;\n                ",
        ": 0.125rem;\n                ",
        ": 1.25;\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": initial;\n                ",
        ": var(--surface-accent);\n                ",
        ": var(--surface-accent-hover);\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-transparent-tertiary-hover);\n                ",
        ": 0;\n                ",
        ": 0;\n                ",
        ": var(--on-dark-surface-solid-default);\n                ",
        ": var(--on-dark-surface-solid-default);\n                ",
        ": 0 1px 1px rgba(0, 0, 0, 0.11);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-accent);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, switchTokens } from '@salutejs/plasma-new-hope/emotion';
export var config = {
    defaults: {
        view: 'default',
        size: 'm',
        toggleSize: 'l',
        labelPosition: 'before',
        focused: 'true'
    },
    variations: {
        size: {
            s: css(_templateObject(), switchTokens.fontFamily, switchTokens.fontStyle, switchTokens.fontWeight, switchTokens.lineHeight, switchTokens.fontSize, switchTokens.letterSpacing, switchTokens.descriptionFontFamily, switchTokens.descriptionFontStyle, switchTokens.descriptionFontWeight, switchTokens.descriptionLineHeight, switchTokens.descriptionFontSize, switchTokens.descriptionLetterSpacing, switchTokens.verticalGap, switchTokens.labelOffset),
            m: css(_templateObject1(), switchTokens.fontFamily, switchTokens.fontStyle, switchTokens.fontWeight, switchTokens.lineHeight, switchTokens.fontSize, switchTokens.letterSpacing, switchTokens.descriptionFontFamily, switchTokens.descriptionFontStyle, switchTokens.descriptionFontWeight, switchTokens.descriptionLineHeight, switchTokens.descriptionFontSize, switchTokens.descriptionLetterSpacing, switchTokens.verticalGap, switchTokens.labelOffset),
            l: css(_templateObject2(), switchTokens.fontFamily, switchTokens.fontStyle, switchTokens.fontWeight, switchTokens.lineHeight, switchTokens.fontSize, switchTokens.letterSpacing, switchTokens.descriptionFontFamily, switchTokens.descriptionFontStyle, switchTokens.descriptionFontWeight, switchTokens.descriptionLineHeight, switchTokens.descriptionFontSize, switchTokens.descriptionLetterSpacing, switchTokens.verticalGap, switchTokens.labelOffset)
        },
        toggleSize: {
            l: css(_templateObject3(), switchTokens.trackWidth, switchTokens.trackHeight, switchTokens.trackBorderRadius, switchTokens.trackHeight, switchTokens.thumbSize, switchTokens.thumbBorderRadius, switchTokens.thumbSize, switchTokens.thumbOffsetOn, switchTokens.thumbOffsetOff, switchTokens.thumbPressScale),
            s: css(_templateObject4(), switchTokens.trackWidth, switchTokens.trackHeight, switchTokens.trackBorderRadius, switchTokens.trackHeight, switchTokens.thumbSize, switchTokens.thumbBorderRadius, switchTokens.thumbSize, switchTokens.thumbOffsetOn, switchTokens.thumbOffsetOff, switchTokens.thumbPressScale)
        },
        view: {
            default: css(_templateObject5(), switchTokens.labelColor, switchTokens.descriptionColor, switchTokens.descriptionMaxLines, switchTokens.trackBackgroundColorOn, switchTokens.trackBackgroundColorOnHover, switchTokens.trackBackgroundColorOff, switchTokens.trackBackgroundColorOffHover, switchTokens.trackBorderWidthOn, switchTokens.trackBorderWidthOff, switchTokens.thumbBackgroundColorOn, switchTokens.thumbBackgroundColorOff, switchTokens.thumbBoxShadow)
        },
        disabled: {
            true: css(_templateObject6(), switchTokens.disabledOpacity)
        },
        focused: {
            true: css(_templateObject7(), switchTokens.trackFocusColor)
        }
    }
};
